Skip to main content
DELETE
/
api
/
v0
/
computers
/
{computerId}
Delete a computer
curl --request DELETE \
  --url https://api.factory.ai/api/v0/computers/{computerId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.factory.ai/api/v0/computers/{computerId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.factory.ai/api/v0/computers/{computerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}

Authorizations

Authorization
string
header
required

Factory API key or JWT token for authentication

Path Parameters

computerId
string
required

Computer ID

Response

Response for status 204

The response is of type object.